class Par{
  String direcao; //guarda a direção em que o par se apresenta (HORIZONTAL ou VERTICAL)
  
  Posicao p1; // uma das posições do par eletrônico
  
  Posicao p2; // outra posição
   
  float xpos; // guarda a coordenada em x do centro do par de posições
  
  float ypos; // guarda a coordenada em y do centro do par de posições
  
  //ROUBANDO
  int i;
  int j;
  
  Par(float x, float y, String dir){
    xpos = x;
    ypos = y;
    direcao = dir;
    
    //distribuimos as posições de acordo com a direção em que o par se apresenta
    if(direcao == "VERTICAL"){
      p1 = new Posicao(x, y - PARAMETRO/8);
      p2 = new Posicao(x, y + PARAMETRO/8);
    }
    else if(direcao == "HORIZONTAL"){
      p1 = new Posicao(x - PARAMETRO/8, y);
      p2 = new Posicao(x + PARAMETRO/8, y);
    }
  }
  
  // desenhamos os elétrons nas posições p1 e p2
  void display(){
    stroke(0, 0, 255);
    fill(0, 0, 255);
    ellipse(p1.x, p1.y, RAIO, RAIO);
    ellipse(p2.x, p2.y, RAIO, RAIO);
  }

  
}  


